# Training Players, Battle Points & Summon Cost

All players have a Player Level.  This player level is what adds to their total Battle Points.\
\
A Player can be TRAINED in 2 ways:\
1\)  by spending their own ZAPS (off chain currency made from playing off chain games, gifting and more...) OR\
2\) by friends/others if those others look that that Players profile and tap the train button.&#x20;

![](/files/TaQ5pTeY5YUmuqGbJBts)![](/files/pKbWDe1BuVVo9z3TCfvM)\
\
\
A player **Battle Points** are comprised of:\
1\. the player level\
2\. the player's current equipped Mystic NFT's Power Level

With these combined values the player's card (when used in Battles) has a Summon cost derived from the Player Level + Current Mystic Power level&#x20;

Here is the current SUMMON COST formula (subject to balancing):\
X = (currentMysticPowerLevel + (mysticTypeCount > 1 ? 1: 0))&#x20;

finalSummonCost = (X > 10 10 : X ) - (player level/10)

![](/files/BPrvhAQT7UcgQ1qgQEca)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vrumble.io/archived-vrumble./nexus-phase-2-anointing-rift-sparkles-and-sponsorship/training-players-battle-points-and-summon-cost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
